Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13852/?format=api
{ "ob_id": 13852, "uuid": "441a1bb6d9ad469eb86b76e61ab0ce6b", "title": "HADRT2.2: Reconstructed gridded data set of global monthly radiosonde temperature anomalies, derived from HadRT2.1 (1958-2000)", "abstract": "The HADRT2.2 data are global monthly fields of radiosonde temperature anomalies at standard pressure levels on a 10 degree latitude by 20 degree longitude grid from 1958 to 2000. \r\nAnomalies are calculated with respect to 1971-1990 climatology. Anomalies are available for 9 standard levels (850, 700, 500, 300, 200, 150, 100, 50, 30hPa) as well as tropospheric (850 - 300hPa) and stratospheric (150 - 30hPa) averages.\r\nThe data are degree Celsius anomalies from 1970-1990 means. Anomalies are calculated for each of about 200 sonde stations worldwide and grid values derived from these. \r\n\r\nHADRT2.2 is an eigenvector reconstructed grid data set from 1958 - 2000, on a 10 degree latitude by 20 degree longitude grid, created from HadRT2.1. The eigenvector reconstruction was used to infill missing seasons or years in boxes with 70% of seasonal or annual data available. \r\n\r\nThis dataset has been superseded by the HadAT dataset also available from CEDA.", "keywords": "Met Office, HADRT, radiosonde, temperature anomalies, Hadley", "publicationState": "published", "dataPublishedTime": "2015-12-19T18:38:41", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "obsolete", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13853/?format=api", "dataPath": "/badc/ukmo-hadrt/data/HadRT2.2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 6273826, "numberOfFiles": 9, "fileFormat": "The data are ASCII formatted (plain text and \"human\" readable) see Met Office HadRT2.2 data format information in docs for more information.\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3709/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21787/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25388/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25877/?format=api" ], "dataLineage": "Data obtained for the period from 1958 to July 2004, were provided as is by the Met Office Hadley Centre, for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8733/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13164/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2207/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53109/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53107/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53108/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53106/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53110/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53111/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53112/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53113/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53114/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55480/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148643/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/14358/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2568/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "hadrt", "label": "restricted: hadrt group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }